#ifndef PLANEAEW
#define PLANEAEW

#include "plane.h"

class PlaneAEW : public Plane
{
    Q_OBJECT

public:
    explicit PlaneAEW(Plane *parent=0);
    ~PlaneAEW();

signals:
    void signalStopTimer();      //сигнал остановки таймера
    void signalNumber();         //сигнал для передачи номера объекта

public slots:
    void slotGameTimer();        //отвечает за перемещение объекта


protected:
    QRectF boundingRect() const;
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *MainWindow);

private:
    void mousePressEvent(QGraphicsSceneMouseEvent *event);  //перетаскивание
    void mouseReleaseEvent(QGraphicsSceneMouseEvent *event);//для красоты(изменение указателя мыши)
    void mouseMoveEvent(QGraphicsSceneMouseEvent *event);   //перетаскивание

};

#endif // PLANEAEW

